<?php

ini_set('display_errors',1);
ini_set('display_startup_errors',1);
error_reporting(E_ALL);

require_once __DIR__.'/../../main/inc/global.inc.php';

if(api_is_platform_admin()){

}else{
	echo('not acces');
	exit;
}

$action = isset($_GET['action']) ? Security::remove_XSS($_GET['action']) : 'add';
$id = isset($_GET['id']) ? (int) $_GET['id'] : 0;

$form = new FormValidator('extraCom','post','anonymisation-step2.php'.'?action='.$action.'&id='.$id);

$form->addElement('static', '', '', '<center><img src="img/banner.jpg" /></center>');

$Text = $form->addText('Object',"Log text",true);

if(isset($_SESSION['SendObject'])){
	$Text->setValue($_SESSION['SendObject']);
}

$Groups = listGroupID(50);	
$Groupsoptions = array("","");

foreach ($Groups as &$row){
	$Groupsoptions[$row['id']] = $row['name'];
}

$select = $form->addElement('select','groupslist','Who ?',$Groupsoptions,false,array('id'=>'groupslist'));
if(isset($_SESSION['SendidGroup'])){
	$select->setValue($_SESSION['SendidGroup']);
}

$form->addButtonSave('Next step');

$tpl = new Template();//'extraCom'
$tpl->assign('form', $form->returnForm());

$content = $tpl->fetch('/anonymisation_personal_data/view/anonymisation.html.twig');
// Assign into content
$tpl->assign('content', $content);
// Display
$tpl->display_one_col_template();

function listGroupID($limit = 500)
{
	$limit = intval($limit);
	$sessionTable = Database::get_main_table(TABLE_USERGROUP);
	$columns = 'id, name';
	$conditions = array();
	if ($limit >0){
		$conditions = array(
			'order' => 'name',
			'limit' => $limit,
		);
	}
	
	return Database::select($columns, $sessionTable, $conditions);
	
}
