<?php
/**
 * This script is a configuration file for the add_this plugin.
 * These settings will be used in the administration interface for plugins
 * (Chamilo configuration settings->Plugins)
 * @package chamilo.plugin
 */

/* Plugin config */

// The plugin title.
$plugin_info['title']       = 'anonymisation_personal_data';
// The comments that go with the plugin.
$plugin_info['comment']     = "anonymisation_personal_data";
// The plugin version.
$plugin_info['version']     = '1.0';
// The plugin author.
$plugin_info['author']      = 'Damien Renou';

// The plugin configuration.
$form = new FormValidator('form');
$form->addElement('select', 'language', get_lang('Language'), api_get_languages_to_array());

$form->addElement('text', 'option2_url', get_lang('RedirectTo'));
$form->addElement('button', 'submit_button', get_lang('Save'));

// Get default value for form

$defaults = array();
$defaults['language'] = api_get_plugin_setting('before_login', 'language');

$plugin_info['templates'] = array('template.tpl');
if (file_exists(__DIR__.'/custom.template.tpl')) {
    $plugin_info['templates'] = array('custom.template.tpl');
}
$form->setDefaults($defaults);

// Display form
$plugin_info['settings_form'] = $form;
